Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_BrowseClient

Browse client to a browse master.
Contained in: global
Derived from: none
Derived by: none
Group: Network (Browsing)

#include <ClanLib/network.h>

### public function member index:

### Construction:

`` | `CL_BrowseClient` | `(`const` `CL_IPAddress`& `browse_master`, `const` `std::string`& `app_id`)`;
``virtual`` | `~CL_BrowseClient` | `()`;

### Attributes:

``CL_Signal_v2`<`const` `CL_IPAddress`& , `const` `std::string`& >&` | `sig_server_added` | `()`;
``CL_Signal_v2`<`const` `CL_IPAddress`& , `const` `std::string`& >&` | `sig_server_updated` | `()`;
``CL_Signal_v1`<`const` `CL_IPAddress`& >&` | `sig_server_removed` | `()`;

## Description:

The browse client is used to connect to a browse master and get a list of registered applications. Using this information, the application can generate a list of available servers that the user can connect to.

## Function Member Descriptions:

CL_BrowseClient::CL_BrowseClient - Connect to browse master and start downloading getting browse list.
`` `CL_BrowseClient` `(`const` `CL_IPAddress`& `browse_master`, `const` `std::string`& `app_id`)`;

CL_BrowseClient::sig_server_added - Signal that is called when the browse client is notified about a server addition.
``CL_Signal_v2`<`const` `CL_IPAddress`& , `const` `std::string`& >&` `sig_server_added` `()`;

CL_BrowseClient::sig_server_removed - Signal that is called when the browse client is notified about a server removal.
``CL_Signal_v1`<`const` `CL_IPAddress`& >&` `sig_server_removed` `()`;

CL_BrowseClient::sig_server_updated - Signal that is called when the browse client is notified about a server update.
``CL_Signal_v2`<`const` `CL_IPAddress`& , `const` `std::string`& >&` `sig_server_updated` `()`;

CL_BrowseClient::~CL_BrowseClient - Browse Client Destructor
``virtual`` `~CL_BrowseClient` `()`;

## Variable Member Descriptions: